## WebKitDOMLocation WebKitDOMLocation |

## Functions

gchar * | webkit_dom_location_get_href ()
gchar * | webkit_dom_location_get_protocol ()
gchar * | webkit_dom_location_get_host ()
gchar * | webkit_dom_location_get_hostname ()
gchar * | webkit_dom_location_get_port ()
gchar * | webkit_dom_location_get_pathname ()
gchar * | webkit_dom_location_get_search ()
gchar * | webkit_dom_location_get_hash ()
gchar * | webkit_dom_location_get_origin ()
WebKitDOMDOMStringList * | webkit_dom_location_get_ancestor_origins ()

## Properties

WebKitDOMDOMStringList * | ancestor-origins | Read
gchar * | hash | Read
gchar * | host | Read
gchar * | hostname | Read
gchar * | href | Read
gchar * | origin | Read
gchar * | pathname | Read
gchar * | port | Read
gchar * | protocol | Read
gchar * | search | Read

## Types and Values

| WebKitDOMLocation

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMLocation

## Description

## Functions

### webkit_dom_location_get_href ()

    gchar *
    webkit_dom_location_get_href (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_protocol ()

    gchar *
    webkit_dom_location_get_protocol (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_host ()

    gchar *
    webkit_dom_location_get_host (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_hostname ()

    gchar *
    webkit_dom_location_get_hostname (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_port ()

    gchar *
    webkit_dom_location_get_port (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_pathname ()

    gchar *
    webkit_dom_location_get_pathname (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_search ()

    gchar *
    webkit_dom_location_get_search (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_hash ()

    gchar *
    webkit_dom_location_get_hash (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_origin ()

    gchar *
    webkit_dom_location_get_origin (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A gchar

### webkit_dom_location_get_ancestor_origins ()

    WebKitDOMDOMStringList *
    webkit_dom_location_get_ancestor_origins
                                   (WebKitDOMLocation *self);

#### Parameters

self | A WebKitDOMLocation |

#### Returns

A WebKitDOMDOMStringList.

[transfer none]

## Types and Values

### WebKitDOMLocation

    typedef struct _WebKitDOMLocation WebKitDOMLocation;

## Property Details

### The `“ancestor-origins”` property

      “ancestor-origins”         WebKitDOMDOMStringList *

read-only WebKitDOMDOMStringList* Location:ancestor-origins.

Flags: Read

### The `“hash”` property

      “hash”                     gchar *

read-only gchar* Location:hash.

Flags: Read

Default value: ""

### The `“host”` property

      “host”                     gchar *

read-only gchar* Location:host.

Flags: Read

Default value: ""

### The `“hostname”` property

      “hostname”                 gchar *

read-only gchar* Location:hostname.

Flags: Read

Default value: ""

### The `“href”` property

      “href”                     gchar *

read-only gchar* Location:href.

Flags: Read

Default value: ""

### The `“origin”` property

      “origin”                   gchar *

read-only gchar* Location:origin.

Flags: Read

Default value: ""

### The `“pathname”` property

      “pathname”                 gchar *

read-only gchar* Location:pathname.

Flags: Read

Default value: ""

### The `“port”` property

      “port”                     gchar *

read-only gchar* Location:port.

Flags: Read

Default value: ""

### The `“protocol”` property

      “protocol”                 gchar *

read-only gchar* Location:protocol.

Flags: Read

Default value: ""

### The `“search”` property

      “search”                   gchar *

read-only gchar* Location:search.

Flags: Read

Default value: ""